Kampagnen

GET https://sitepush.de/api/campaigns/
curl --request GET \
--url 'https://sitepush.de/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
Parameter Einzelheiten Beschreibung
search Optional Zeichenkette Die Suchzeichenfolge.
search_by Optional Zeichenkette Nach welchem Feld suchen Sie? Erlaubte Werte sind: name , title , description , url.
status Optional Zeichenkette Erlaubte Werte: draft , scheduled , processing , sent
website_id Optional Ganzzahl
order_by Optional Zeichenkette Nach welchem Feld die Ergebnisse sortiert werden sollen. Erlaubte Werte sind: campaign_id , datetime , last_datetime , scheduled_datetime , last_sent_datetime , name , title , total_push_notifications , total_sent_push_notifications , total_displayed_push_notifications , total_clicked_push_notifications , total_closed_push_notifications.
order_type Optional Zeichenkette Die Anordnung der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Anordnung und DESC für absteigende Anordnung.
page Optional Ganzzahl Die Seitennummer, von der Sie Ergebnisse wünschen. Standardmäßig 1.
results_per_page Optional Ganzzahl Wie viele Ergebnisse möchten Sie pro Seite? Erlaubte Werte sind: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardmäßig 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "segment": "all",
            "settings": {
                "is_scheduled": 0,
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": ""
            },
            "subscribers_ids": [
                1,2,3,4,5
            ],
            "sent_subscribers_ids": [],
            "total_sent_push_notifications": 0,
            "total_push_notifications": 1,
            "total_displayed_push_notifications": 0,
            "total_clicked_push_notifications": 0,
            "total_closed_push_notifications": 0,
            "status": "draft",
            "scheduled_datetime": "2024-08-09 00:16:22",
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-03-01 16:00:41",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://sitepush.de/api/campaigns?page=1",
        "last": "https://sitepush.de/api/campaigns?page=1",
        "next": null,
        "prev": null,
        "self": "https://sitepush.de/api/campaigns?page=1"
    }
}
GET https://sitepush.de/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://sitepush.de/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "segment": "all",
        "settings": {
            "is_scheduled": 0,
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": ""
        },
        "subscribers_ids": [
            1,2,3,4,5
        ],
        "sent_subscribers_ids": [],
        "total_sent_push_notifications": 0,
        "total_push_notifications": 1,
        "total_displayed_push_notifications": 0,
        "total_clicked_push_notifications": 0,
        "total_closed_push_notifications": 0,
        "status": "draft",
        "scheduled_datetime": "2024-08-09 00:16:22",
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-03-01 16:00:41",
    }
}
POST https://sitepush.de/api/campaigns
Parameter Einzelheiten Beschreibung
website_id Erforderlich Ganzzahl -
name Erforderlich Zeichenkette -
title Erforderlich Zeichenkette -
description Erforderlich Zeichenkette -
url Optional Zeichenkette -
image Optional Datei -
button_title_1 Optional Zeichenkette -
button_url_1 Optional Zeichenkette -
button_title_2 Optional Zeichenkette -
button_url_2 Optional Zeichenkette -
is_scheduled Optional Boolesch -
scheduled_datetime Optional Zeichenkette -
is_silent Optional Boolesch -
is_auto_hide Optional Boolesch -
ttl Optional Zeichenkette Erlaubte Werte: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
segment Optional Zeichenkette Erlaubte Werte: all , custom , filter , INT segment_id
subscribers_ids Optional Zeichenkette Verfügbar, wenn: segment = custom
filters_custom_parameter_key[index] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_custom_parameter_condition[index] Optional Zeichenkette Erlaubte Werte: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Verfügbar, wenn: segment = filter
filters_custom_parameter_value[index] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_subscribed_on_url Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_cities Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_countries[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_continents[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_device_type[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_languages[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_operating_systems[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_browsers[] Optional Zeichenkette Verfügbar, wenn: segment = filter
utm_source Optional Zeichenkette -
utm_medium Optional Zeichenkette -
utm_campaign Optional Zeichenkette -
save Optional Boolesch Entwurf speichern
send Optional Boolesch Kampagne senden
curl --request POST \
--url 'https://sitepush.de/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
    "data": {
        "id": 1
    }
}
POST https://sitepush.de/api/campaigns/{campaign_id}
Parameter Einzelheiten Beschreibung
website_id Optional Ganzzahl -
name Optional Zeichenkette -
title Optional Zeichenkette -
description Optional Zeichenkette -
url Optional Zeichenkette -
image Optional Datei -
button_title_1 Optional Zeichenkette -
button_url_1 Optional Zeichenkette -
button_title_2 Optional Zeichenkette -
button_url_2 Optional Zeichenkette -
is_scheduled Optional Boolesch -
scheduled_datetime Optional Zeichenkette -
is_silent Optional Boolesch -
is_auto_hide Optional Boolesch -
ttl Optional Zeichenkette Erlaubte Werte: 0 , 900 , 1800 , 3600 , 10800 , 21600 , 43200 , 86400 , 259200 , 432000 , 604800 , 1209600 , 2419200
segment Optional Zeichenkette Erlaubte Werte: all , custom , filter , INT segment_id
subscribers_ids Optional Zeichenkette Verfügbar, wenn: segment = custom
filters_custom_parameter_key[index] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_custom_parameter_condition[index] Optional Zeichenkette Erlaubte Werte: exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than Verfügbar, wenn: segment = filter
filters_custom_parameter_value[index] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_subscribed_on_url Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_cities Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_countries[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_continents[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_device_type[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_languages[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_operating_systems[] Optional Zeichenkette Verfügbar, wenn: segment = filter
filters_browsers[] Optional Zeichenkette Verfügbar, wenn: segment = filter
utm_source Optional Zeichenkette -
utm_medium Optional Zeichenkette -
utm_campaign Optional Zeichenkette -
save Optional Boolesch Entwurf speichern
send Optional Boolesch Kampagne senden
curl --request POST \
--url 'https://sitepush.de/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://sitepush.de/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://sitepush.de/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \